#---------------------------------------------
# CORE
#
# There is only one core group and it sets all basic settings
# of the bearerbox (and system). You should take extra notes on
# configuration variables like 'store-file' (or 'store-dir'),
# 'admin-allow-ip' and 'access.log'


group = core
admin-port = 13000
smsbox-port = 13001
admin-password = bar
#status-password = foo
#admin-deny-ip = ""
#admin-allow-ip = ""
#log-file = "/tmp/kannel.log"
#log-level = 0
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"
dlr-storage = mysql
#unified-prefix = "+358,00358,0;+,00"
#access-log = "/tmp/access.log"
#store-file = "kannel.store"
#ssl-server-cert-file = "cert.pem"
#ssl-server-key-file = "key.pem"
#ssl-certkey-file = "mycertandprivkeyfile.pem"

group = mysql-connection
id = kannel-db
host = localhost
username = kannelmgr
password = kannel
database = kannel
# max count of connections that will be opened for dbpool
# default is 1
max-connections = 2

group = dlr-db
id = kannel-db
table = delivery
field-smsc = smsc
field-timestamp = ts
field-destination = destination
field-source = source
field-service = service
field-url = url
field-mask = mask
field-status = status
field-boxc-id = boxc

group = sqlbox
# id corresponds to id in group = mysql-connection.
# this is analogous to id in group = dlr-db
id = kannel-db
# smsbox-id indicates the box where SQL-injected messages appear to be coming from
smsbox-id = sqlbox2
# bearerbox host to connect to
bearerbox-host = "127.0.0.1"
# smsbox port to be listening on
smsbox-port = 13005
smsbox-port-ssl = false
# sql-log-table is the table used to log all sent messages
sql-log-table = sms_log
# sql-insert-table is the table that is monitored for new messages to send
sql-insert-table = sms_outbox
# global sender: If no sender is specified in sql-insert-table then this
# value is used.
global-sender = 0643535
# log-file = ""
# log-level = 10
# ssl-client-certkey-file = ""
# ssl-server-cert-file = ""
# ssl-server-key-file = ""
# ssl-trusted-ca-file = ""

#---------------------------------------------
# SMSC CONNECTIONS
#
# SMSC connections are created in bearerbox and they handle SMSC specific
# protocol and message relying. You need these to actually receive and send
# messages to handset, but can use GSM modems as virtual SMSCs


# This is a fake smsc connection, _only_ used to test the system and services.
# It really cannot relay messages to actual handsets!

group = smsc
smsc = fake
smsc-id = FAKE
port = 10000
connect-allow-ip = 127.0.0.1

group = smsc
smsc = smpp
smsc-id = LogicaSimulator
host = localhost
port = 11000
transceiver-mode = true
# receive-port = 11000
smsc-username = pavel
smsc-password = wpsd
system-type = "VMA"
address-range = ""
# connect-allow-ip = 127.0.0.1


# ------------------------------------ 
#  configuration Nokia 6150
# ------------------------------------- 
group                = smsc
# Kannel-Version: 1.2 
# smsc                = at2
# Kannel-Version: 1.4 
smsc                 = at
smsc-id              = Nokia6150
modemtype         = nokiaphone
speed                = 9600   # 0 = automatic
device               = /dev/ttyS0
pin                  = 0000
preferred-smsc-id    = Nokia6150
keepalive            = 10
 
group = modems
id = nokiaphone
name = "Nokia Phone"
detect-string = "Nokia Mobile Phone"
need-sleep = true
keepalive-cmd = "AT+CBC;+CSQ"
enable-mms = true


#---------------------------------------------
# SMSBOX SETUP
#
# Smsbox(es) do higher-level SMS handling after they have been received from
# SMS centers by bearerbox, or before they are given to bearerbox for delivery

group = smsbox
bearerbox-host = 127.0.0.1
# bearerbox-is-sqlbox indicates if the smsbox is connected to the bearerbox or an sql box
bearerbox-is-sqlbox = true
sendsms-port = 13013
global-sender = 13013
#sendsms-chars = "0123456789 +-"
#log-file = "/tmp/smsbox.log"
#log-level = 0
#access-log = "/tmp/access.log"

#---------------------------------------------
# SEND-SMS USERS
#
# These users are used when Kannel smsbox sendsms interface is used to
# send PUSH sms messages, i.e. calling URL like
# http://kannel.machine:13013/cgi-bin/sendsms?username=tester&password=foobar...

group = sendsms-user
username = tester
password = foobar
#user-deny-ip = ""
#user-allow-ip = ""

#---------------------------------------------
# SERVICES
#
# These are 'responses' to sms PULL messages, i.e. messages arriving from
# handsets. The response is based on message content. Only one sms-service is
# applied, using the first one to match.

group = sms-service
keyword = nop
text = "You asked nothing and I did it!"

# There should be always a 'default' service. This service is used when no
# other 'sms-service' is applied.

group = sms-service
keyword = default
text = "No service specified"

